package AdThreeAnalysis;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class AdActionButton extends JceStruct {
    public String icon;
    public String tips;

    public AdActionButton() {
        super();
        this.icon = "";
        this.tips = "";
    }

    public AdActionButton(String arg2, String arg3) {
        super();
        this.icon = "";
        this.tips = "";
        this.icon = arg2;
        this.tips = arg3;
    }

    public final void readFrom(c arg3) {
        this.icon = arg3.b(0, false);
        this.tips = arg3.b(1, false);
    }

    public final void writeTo(d arg3) {
        if(this.icon != null) {
            arg3.a(this.icon, 0);
        }

        if(this.tips != null) {
            arg3.a(this.tips, 1);
        }
    }

}

